Bug 919199 - JON 3.x IPv6 Tracking BZ
JON 3.x IPv6 Tracking BZ
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
: Tracking
Depends On: 809125 809721 822218 824102 838605 908795 920170 920178 920182 920215 920219 920229 920253 921057 921704 690117 825264
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-07 15:21 EST by Mike Foley
Modified: 2015-02-05 20:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2013-03-07 15:21:24 EST
JON 3.2 IPv6 Tracking BZ 

specific bugs or issues with IPv6 will reference this.
Comment 1 Mike Foley 2013-03-07 15:25:08 EST
BZ 838605   possible IPv6 sensitivity in native code.  ie, Sigar.  

good link on IPv6 and native code-->  ​http://docs.oracle.com/javase/1.5.0/docs/guide/net/ipv6_guide/index.html
Comment 2 Mike Foley 2013-03-07 16:16:53 EST
[eap6] deployment cannot be created when server is listening on IPv6

https://bugzilla.redhat.com/show_bug.cgi?id=809721
Comment 3 Mike Foley 2013-03-07 16:18:54 EST

also possible sensitivity with httpclient version and ipv6 support (it is a known issue with httpclient and ipv6) 

this stack trace from Libor ... CLI automation with EAP6 on IPv6



(Libor also sees this from CLI automation test pass of EAP6 automation with IPv6) 


2:35:16 [TRACE] Searching for CreateChildResourceHistory. Res id: 11039, startTime: Thu Mar 07 2013 12:35:11 GMT-0500 (EST), actualDateMilis: Thu Mar 07 2013 12:35:16 GMT-0500 (EST)
12:35:16 [DEBUG] Child resource creation status : Failure
12:35:16 [DEBUG] Resource creation failed, reason : java.lang.IllegalArgumentException: Invalid uri 'http://:::9990/management': invalid port number
at org.apache.commons.httpclient.HttpMethodBase.<init>(HttpMethodBase.java:219)
at org.apache.commons.httpclient.methods.GetMethod.<init>(GetMethod.java:88)
at org.rhq.modules.plugins.jbossas7.ASUploadConnection.finishUpload(ASUploadConnection.java:265)
at org.rhq.modules.plugins.jbossas7.BaseComponent.deployContent(BaseComponent.java:424)
at org.rhq.modules.plugins.jbossas7.BaseComponent.createResource(BaseComponent.java:353)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
at java.util.concurrent.FutureTask.run(FutureTask.java:166)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
at java.lang.Thread.run(Thread.java:722)
Comment 4 Mike Foley 2013-03-07 16:23:10 EST
https://bugzilla.redhat.com/show_bug.cgi?id=809125  


[eap6] incorrectly detected server listening on IPv6 address  


discovery uses sigar ... so this may relate back to the sensitivity of native code aka sigar and ipv6 support which caused the errata failures on the jon agent.
Comment 6 Mike Foley 2013-03-07 16:42:42 EST
apache ipv6 bug.  verified.  but could be retested when we are ready to claim ipv6 support in JON

https://bugzilla.redhat.com/show_bug.cgi?id=690117
Comment 7 Mike Foley 2013-03-12 16:00:13 EDT
adding asantos to the notify list.
Comment 8 Mike Foley 2013-09-13 15:51:01 EDT
retargeting for JON 3.3.  ipv6 support is not a requirement.  when it is a requirement, this BZ has captured the known issues.

Note You need to log in before you can comment on or make changes to this bug.